<?php

namespace App\Enums;

use App\Traits\Enums\WithCommentEnum;
use App\Traits\Enums\WithValueEnum;

enum CategoryType: int
{
    use WithCommentEnum, WithValueEnum;

    case PERFUME = 1;
    case ARTICLE = 2;

    public function label(): string
    {
        return match ($this) {
            self::PERFUME => 'Parfum',
            self::ARTICLE => 'Artikel',
        };
    }

    public function color(): string
    {
        return match ($this) {
            self::PERFUME => 'emerald',
            self::ARTICLE => 'blue',
        };
    }
}
